# Přístupnost (accessibility)

V tomto cvičení je cílem zkontrolovat přístupnost webových stránek na několika
úrovních. Po kontrole následuje návrh na odstranění problémů (teoretický).
Nakonec je cílem jeden zvolený problém odstranit pomocí CSS (prakticky).

## Kontrola přístupnosti webových stránek

Pro následující 3 stránky zkontrolujte přístupnost:
  - web olihně (verze podle grafické předlohy i vlastní),
  - web FIT (libovolnou stránku) a
  - aspoň jednu další zvolenou službu (libovolnou stránku).

1. Proveďte kontrolu podle dokumentu
   [Jednoduchá kontrola (Easy Checks)](http://www.w3.org/WAI/eval/preliminary.html) -
   jakožto *První test webové přístupnosti*
1. Zkontrolujte pravidla přístupnosti WCAG 2.0 podle
   [přizpůsobitelné stránky s pravidly](http://www.w3.org/WAI/WCAG20/quickref/)
   - Poukažte na smysluplnost dodržování (a tedy kontrolu) *všech* pravidel.
   - Poukažte na pravidla, jejichž doslovné splnění nemusí být za jistých
     okolností nutné a proč.
1. Použijte [další nástroje pro kontrolu přístupnosti](http://www.w3.org/WAI/ER/tools/complete)

[Oliheň](olihen.md "EMBED|EDIT|EXPAND|LINK")

[Web FIT](fit.md "EMBED|EDIT|EXPAND|LINK")

[Další služba](dalsi.md "EMBED|EDIT|EXPAND|LINK")


## Oprava přístupnosti

1. Navrhněte, jak je možné přistoupit k řešení zjištěných nedostatků
   jednotlivých webů.
1. Některé navrhované úpravy implementujte, např. CSS pomocí
   rozšíření [Stylish](https://chrome.google.com/webstore/detail/stylish-custom-themes-for/fjnbnpbmkenffdnngjfgmeleoegfcffe?hl=cs),
   web služby: https://userstyles.org/

[Návrh](oprava.md "EMBED|EDIT|EXPAND|LINK")

[Implementace](stylish.css "EMBED|EDIT|EXPAND|LINK")
